using System;

namespace ConsoleApp2
{
    class Program
    {

        static public void Main()
        {
            char[] tekst = Console.ReadLine().ToCharArray();
            string zabranjena = Console.ReadLine();

            if (zabranjena == "a")
            {
                int brojac = 0;
                for (int i = 0; i < tekst.Length; i++)
                {
                    if (tekst[i] == 'a')
                    {
                        tekst[i] = '*';
                        brojac++;
                    }
                }
                Console.WriteLine(brojac);
                Console.WriteLine(tekst);
            }
            else
            {
                int trenutni = 0;
                int brojac = 0;
                for (int i = 0; i < tekst.Length; i++)
                {
                    if (tekst[i] == 'a')
                    {
                        trenutni++;
                        if (trenutni >= zabranjena.Length)
                        {
                            tekst[i] = '*';
                            brojac++;
                        }
                    }
                }
                Console.WriteLine(brojac);
                Console.WriteLine(tekst);
            }
        }
    } 
}